from netforce.model import Model, fields

class ImportDataSC(Model):
    _name="clinic.data.sc"
    _transient=True
    _fields={
            'hn': fields.Char("hn", search=True),
            'name14': fields.Char("name14", search=True),
            'hcode18': fields.Char("hcode18", search=True),
            'amount23': fields.Char("amount23", search=True),
            "cur": fields.Char("cur"),
            'epoadm29': fields.Char("epoadm29"),
            'eponame': fields.Char("eponame"),
            'ln': fields.Char('ln'),
            'st': fields.Char('st'),
            'allow37': fields.Char('allow37'),
            'dttran': fields.Date("dttran"),
            'type': fields.Selection([['match','Match'],['not_match','Not Match']],'Type', search=True),
            'hd_case_id': fields.Many2One("clinic.hd.case","HD Case"),
            #'invoice_id': fields.Many2One("clinic.hd.case","HD Case"),
    }
    
    _order="type"

ImportDataSC.register()
